#include <fstream>
#include <iomanip>
#include <iostream>

using namespace std;

int main()
{
    ifstream a;
    ofstream b;
    a.open("sotnn.inp");
    int i;
    a >> i;
    a.close();
    b.open("sotnn.out");
    float x = 0,y = 0;
    for (int n = 2; n < i; n = n + 2)
    {
        x = x + n;
        y = y + 1;
    }
    b << x << " ";
    b << fixed << setprecision(2) << x/y << endl;
    x = 0; y = 0;
    for (int m = 1; m < i; m = m + 2)
    {
        x = x + m;
        y = y + 1;
    }
    b << fixed << setprecision(0) << x << " " << setprecision(2) << x/y << endl;
    x = 0; y = 0;
    for (int z = 1; z < i; z++)
    {
        x = x + z;
        y = y + 1;
    }
    b << fixed << setprecision(0) << x << " " << setprecision(2) << x/y;
    return 0;
}
